//  ^
// / \
//  |
//  | Většina kódu je v záložce "Buffer A"
//  | Zajímá vás hlavně funkce "computeImage"
//  |

void mainImage(out vec4 fragColor, in vec2 fragCoord)
{
    vec2 uv = fragCoord/iResolution.xy;

    // Načteme zprůměrovanou hodnotu z textury
    vec3 color = texture(iChannel0, uv).rgb;
    
    // Provedeme gamma korekci
    color = pow(color, vec3(1.0 / 2.2));
    
    // Zobrazíme
    fragColor = vec4(color, 1.0);
}

